aboutsummaryrefslogtreecommitdiff
path: root/vendor/cabal-helper-0.8.1.2/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'vendor/cabal-helper-0.8.1.2/scripts')
-rwxr-xr-xvendor/cabal-helper-0.8.1.2/scripts/bump.sh24
-rwxr-xr-xvendor/cabal-helper-0.8.1.2/scripts/ci/build.sh9
-rw-r--r--vendor/cabal-helper-0.8.1.2/scripts/ci/print-packages.sh5
-rwxr-xr-xvendor/cabal-helper-0.8.1.2/scripts/ci/retry.sh50
-rw-r--r--vendor/cabal-helper-0.8.1.2/scripts/ci/steps/00-config.sh12
l---------vendor/cabal-helper-0.8.1.2/scripts/ci/steps/05-print-packages.sh1
-rw-r--r--vendor/cabal-helper-0.8.1.2/scripts/ci/steps/10-dependencies.sh3
l---------vendor/cabal-helper-0.8.1.2/scripts/ci/steps/15-print-packages.sh1
-rw-r--r--vendor/cabal-helper-0.8.1.2/scripts/ci/steps/20-sdist.sh6
-rw-r--r--vendor/cabal-helper-0.8.1.2/scripts/ci/steps/30-build.sh4
-rw-r--r--vendor/cabal-helper-0.8.1.2/scripts/ci/steps/40-test.sh2
-rw-r--r--vendor/cabal-helper-0.8.1.2/scripts/update-cabal-common-section-instantiations.awk34
12 files changed, 0 insertions, 151 deletions
diff --git a/vendor/cabal-helper-0.8.1.2/scripts/bump.sh b/vendor/cabal-helper-0.8.1.2/scripts/bump.sh
deleted file mode 100755
index a5a2ba7..0000000
--- a/vendor/cabal-helper-0.8.1.2/scripts/bump.sh
+++ /dev/null
@@ -1,24 +0,0 @@
-#!/bin/sh
-
-set -e
-
-if [ -z "$1" ]; then
- echo "Usage: $0 VERSION" >&2
- exit 1
-fi
-
-VERSION=$1
-
-if ! echo $VERSION | grep "^[0-9.]"; then
- echo "invalid version";
- exit 1
-fi
-
-cd $(dirname $0)/..
-
-sed -r -i 's/^(version:[[:space:]]*)[0-9.]+/\1'"$VERSION"'/' cabal-helper.cabal
-
-git add cabal-helper.cabal
-git commit -m "Bump version to $VERSION"
-
-git tag "v$VERSION"
diff --git a/vendor/cabal-helper-0.8.1.2/scripts/ci/build.sh b/vendor/cabal-helper-0.8.1.2/scripts/ci/build.sh
deleted file mode 100755
index 7d2c136..0000000
--- a/vendor/cabal-helper-0.8.1.2/scripts/ci/build.sh
+++ /dev/null
@@ -1,9 +0,0 @@
-#!/bin/sh
-
-set -ex
-
-CI_SCRIPTS_DIR="$(realpath "$(dirname "$0")")"
-
-for step in $(printf '%s\n' "$CI_SCRIPTS_DIR"/steps/* | sort); do
- . $step
-done
diff --git a/vendor/cabal-helper-0.8.1.2/scripts/ci/print-packages.sh b/vendor/cabal-helper-0.8.1.2/scripts/ci/print-packages.sh
deleted file mode 100644
index 891cea6..0000000
--- a/vendor/cabal-helper-0.8.1.2/scripts/ci/print-packages.sh
+++ /dev/null
@@ -1,5 +0,0 @@
-if [ -e cabal.sandbox.config ]; then
- cabal sandbox hc-pkg list
-else
- ghc-pkg list
-fi
diff --git a/vendor/cabal-helper-0.8.1.2/scripts/ci/retry.sh b/vendor/cabal-helper-0.8.1.2/scripts/ci/retry.sh
deleted file mode 100755
index 285648e..0000000
--- a/vendor/cabal-helper-0.8.1.2/scripts/ci/retry.sh
+++ /dev/null
@@ -1,50 +0,0 @@
-#!/usr/bin/env bash
-
-# MIT LICENSE
-#
-# Copyright (c) 2016 Travis CI GmbH <contact@travis-ci.org>
-#
-# Permission is hereby granted, free of charge, to any person obtaining a copy
-# of this software and associated documentation files (the "Software"), to deal
-# in the Software without restriction, including without limitation the rights
-# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
-# copies of the Software, and to permit persons to whom the Software is
-# furnished to do so, subject to the following conditions:
-#
-# The above copyright notice and this permission notice shall be included in
-# all copies or substantial portions of the Software.
-#
-# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
-# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
-# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
-# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
-# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
-# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
-# THE SOFTWARE.
-#
-#
-# Copied from github.com/travis-ci/travis-build and modified to pass shellcheck.
-# Copied from https://github.com/cockroachdb/cockroach/blob/b4b7412d1c899a7488a9839eb4e01a616e4de135/scripts/travis_retry.sh and modified slightly
-
-retry() {
- local result=0
- local count=1
- while [ $count -le 3 ]; do
- [ $result -ne 0 ] && {
- echo -e "\n${ANSI_RED}The command \"$*\" failed. Retrying, $count of 3.${ANSI_RESET}\n" >&2
- }
- "$@"
- result=$?
- [ $result -eq 0 ] && break
- count=$((count + 1))
- sleep 10
- done
-
- [ $count -gt 3 ] && {
- echo -e "\n${ANSI_RED}The command \"$*\" failed 3 times.${ANSI_RESET}\n" >&2
- }
-
- return $result
-}
-
-retry "$@"
diff --git a/vendor/cabal-helper-0.8.1.2/scripts/ci/steps/00-config.sh b/vendor/cabal-helper-0.8.1.2/scripts/ci/steps/00-config.sh
deleted file mode 100644
index eb8280a..0000000
--- a/vendor/cabal-helper-0.8.1.2/scripts/ci/steps/00-config.sh
+++ /dev/null
@@ -1,12 +0,0 @@
-if [ -w . ]; then
- sandbox="$PWD"/.cabal-sandbox
- sandbox_config="$PWD"/cabal.sandbox.config
-else
- sandbox="$HOME"/cabal-sandbox
- sandbox_config="$HOME"/cabal.sandbox.config
-fi
-
-source_dir="$(mktemp --tmpdir -d "cabal-helper.sdistXXXXXXXXX")"
-build_dir="$(mktemp --tmpdir -d "cabal-helper.distXXXXXXXXX")"
-
-NPROC=${NPROC:-1}
diff --git a/vendor/cabal-helper-0.8.1.2/scripts/ci/steps/05-print-packages.sh b/vendor/cabal-helper-0.8.1.2/scripts/ci/steps/05-print-packages.sh
deleted file mode 120000
index 4a3479a..0000000
--- a/vendor/cabal-helper-0.8.1.2/scripts/ci/steps/05-print-packages.sh
+++ /dev/null
@@ -1 +0,0 @@
-../print-packages.sh \ No newline at end of file
diff --git a/vendor/cabal-helper-0.8.1.2/scripts/ci/steps/10-dependencies.sh b/vendor/cabal-helper-0.8.1.2/scripts/ci/steps/10-dependencies.sh
deleted file mode 100644
index 0d0254c..0000000
--- a/vendor/cabal-helper-0.8.1.2/scripts/ci/steps/10-dependencies.sh
+++ /dev/null
@@ -1,3 +0,0 @@
-"$CI_SCRIPTS_DIR"/retry.sh cabal update
-cabal --sandbox-config="$sandbox_config" sandbox init --sandbox="$sandbox"
-cabal --sandbox-config="$sandbox_config" install --only-dependencies --enable-tests
diff --git a/vendor/cabal-helper-0.8.1.2/scripts/ci/steps/15-print-packages.sh b/vendor/cabal-helper-0.8.1.2/scripts/ci/steps/15-print-packages.sh
deleted file mode 120000
index 4a3479a..0000000
--- a/vendor/cabal-helper-0.8.1.2/scripts/ci/steps/15-print-packages.sh
+++ /dev/null
@@ -1 +0,0 @@
-../print-packages.sh \ No newline at end of file
diff --git a/vendor/cabal-helper-0.8.1.2/scripts/ci/steps/20-sdist.sh b/vendor/cabal-helper-0.8.1.2/scripts/ci/steps/20-sdist.sh
deleted file mode 100644
index bd8fbe1..0000000
--- a/vendor/cabal-helper-0.8.1.2/scripts/ci/steps/20-sdist.sh
+++ /dev/null
@@ -1,6 +0,0 @@
-mkdir -p "$source_dir"
-mkdir -p "$build_dir"
-
-cabal --sandbox-config="$sandbox_config" sdist --builddir="$build_dir" --output-directory="$source_dir"
-
-cd "$source_dir"
diff --git a/vendor/cabal-helper-0.8.1.2/scripts/ci/steps/30-build.sh b/vendor/cabal-helper-0.8.1.2/scripts/ci/steps/30-build.sh
deleted file mode 100644
index 8e71aa3..0000000
--- a/vendor/cabal-helper-0.8.1.2/scripts/ci/steps/30-build.sh
+++ /dev/null
@@ -1,4 +0,0 @@
-# -fdev enables building the helper "main" exe directly and enables more warnings
-cabal --sandbox-config="$sandbox_config" configure --builddir="$build_dir" --enable-tests -fdev
-cabal --sandbox-config="$sandbox_config" build --builddir="$build_dir"
-cabal --sandbox-config="$sandbox_config" haddock --builddir="$build_dir"
diff --git a/vendor/cabal-helper-0.8.1.2/scripts/ci/steps/40-test.sh b/vendor/cabal-helper-0.8.1.2/scripts/ci/steps/40-test.sh
deleted file mode 100644
index cfdf05c..0000000
--- a/vendor/cabal-helper-0.8.1.2/scripts/ci/steps/40-test.sh
+++ /dev/null
@@ -1,2 +0,0 @@
-cabal_helper_libexecdir="$build_dir"/build/cabal-helper-wrapper \
- cabal --sandbox-config="$sandbox_config" test --builddir="$build_dir" --show-details=streaming
diff --git a/vendor/cabal-helper-0.8.1.2/scripts/update-cabal-common-section-instantiations.awk b/vendor/cabal-helper-0.8.1.2/scripts/update-cabal-common-section-instantiations.awk
deleted file mode 100644
index 0bfacae..0000000
--- a/vendor/cabal-helper-0.8.1.2/scripts/update-cabal-common-section-instantiations.awk
+++ /dev/null
@@ -1,34 +0,0 @@
-BEGIN {
- delete sections;
- section="";
- ignoring=0;
-}
-
-/^[[:space:]]*$/ {
- section="";
- ignoring=0;
-}
-
-{
- if(section) {
- tmp = sections[section];
- sections[section] = tmp (tmp ? RS : "") $0;
- }
-}
-
-/^[[:space:]]*-- *Common/ {
- section = $3
-}
-
-/^[[:space:]]*-- *Instantiate *common/ {
- ignoring=1
-
- print $0;
- print sections[$4];
-}
-
-{
- if(!ignoring) {
- print $0;
- }
-}